Новость Launcher для проекта Hardcore-SK

Discussion in 'Новости' started by Dzeniba, May 3, 2021.

  1. Dzeniba

    Dzeniba

    Messages:
    820
    Likes Received:
    117
    Ratings:
    +358 / 12
    [​IMG]

    Представляем вашему вниманию ланчер проекта Hardcore SK!

    Наш ланчер позволяет:

    • установить/обновить сборку HSK на Вашей игре.
      Для Stable - потребуется RimWorld 1.1 версии 1.1.2647
      Для Development - RimWorld 1.2 версии 1.2.2723
      И нам всё равно - пират Вы, или добропорядочный стимовец;
    • предупредит, если Вы попытаетесь установить сборку на несоответствующую версию игры;
    • сбросит настройки модов для исправления ошибок несовместимости со сторонними модами по Вашему желанию.
    Для установки сборки Hardcore-SK на Rimworld 1.1 и 1.2 Вам не придётся ничего скачивать и копировать вручную, всё будет сделано установщиком так, как и должно быть для полной работоспособности игры.

    Изменения в версии 1.6:


      • Добавлена поддержка х64 битной версии RimWorld.
      • Добавлена возможность выбора источника обновлений:
        • Stable — стабильная версия, на текущий момент это HSK для 1.1.
        • Development — стабильная версия, на текущий момент это HSK для 1.2.
      • Добавлена возможность автоматического подключения и отключения указанного списка модов после установки обновления.
      • Добавлена возможность запуска пользовательского скрипта или утилиты по окончанию обновления (для модмейкеров).
      • Полностью переработан механизм обновлений, который обеспечивает чистоту установки обновлений HSK, не затрагивая пользовательские моды.
      • Повышена стабильность, улучшена отзывчивость, расширено логгирование.
    Возможности версии 1.1:



      • русский и английский языки;
      • опциональное обновление Modconfig;
      • выбор запуска игры по прямому пути, или используя Steam;
      • опция проверки новых обновлений при запуске ланчера.
      • автоматические обновление ланчера;
      • возможность установки из архива репозитория (скачиваете zip архив репозитория HSK, затем устанавливаете через ланчер, используя кнопку справа от опций);
      • возможность сменить язык при первом запуске ланчера сразу, на экране приветствия;
      • возможность повторить попытку установки обновлений HSK (без перекачивания), если произошла ошибка на шаге копирования файлов;
      • опция закрытия ланчера после успешного запуска игры (по-умолчанию выключена).

    Требования:

    • .Net Framework 4.5 (идет по-умолчанию, начиная с Windows 8. Нет поддержки Windows XP и ранее выпущенных ОС)

    Примечания:
    Если обновление не удалось, попробуйте еще раз.



    Скачать можно в разделе Ресурсы.

    Выражаем огромную благодарность Void'y за участие в проекте!